CREATE TABLE ben_pgm_f (
    PGM_ID                         NUMBER(18, 0) ,
    EFFECTIVE_START_DATE           DATE          ,
    EFFECTIVE_END_DATE             DATE          ,
    NAME                           VARCHAR2(960)     NOT NULL,
    PGM_PRVDS_NO_AUTO_ENRT_FLAG    VARCHAR2(120)     NOT NULL,
    PGM_PRVDS_NO_DFLT_ENRT_FLAG    VARCHAR2(120)     NOT NULL,
    DPNT_DSGN_LVL_CD               VARCHAR2(120) ,
    PGM_STAT_CD                    VARCHAR2(120) ,
    IVR_IDENT                      VARCHAR2(360) ,
    PGM_TYP_CD                     VARCHAR2(120) ,
    ELIG_APLS_FLAG                 VARCHAR2(120)     NOT NULL,
    PRTT_CHC_UNCRS_TRTMT_FLAG      VARCHAR2(120) ,
    PGM_PRVDS_CR_FLAG              VARCHAR2(120) ,
    PGM_DESC                       VARCHAR2(4000),
    PRTN_ELIG_OVRID_ALWD_FLAG      VARCHAR2(120)     NOT NULL,
    PGM_USE_ALL_ASNTS_ELIG_FLAG    VARCHAR2(120)     NOT NULL,
    MX_DPNT_PCT_PRTT_LF_AMT        NUMBER        ,
    MX_SPS_PCT_PRTT_LF_AMT         NUMBER        ,
    ACTY_REF_PERD_CD               VARCHAR2(120) ,
    COORD_CVG_FOR_ALL_PLS_FLG      VARCHAR2(120)     NOT NULL,
    ENRT_CVG_END_DT_CD             VARCHAR2(120) ,
    ENRT_CVG_END_DT_RL             NUMBER(18, 0) ,
    DPNT_CVG_END_DT_CD             VARCHAR2(120) ,
    DPNT_CVG_END_DT_RL             NUMBER(18, 0) ,
    DPNT_CVG_STRT_DT_CD            VARCHAR2(120) ,
    DPNT_CVG_STRT_DT_RL            NUMBER(18, 0) ,
    DPNT_DSGN_NO_CTFN_RQD_FLAG     VARCHAR2(120)     NOT NULL,
    DRVBL_FCTR_DPNT_ELIG_FLAG      VARCHAR2(120)     NOT NULL,
    DRVBL_FCTR_PRTN_ELIG_FLAG      VARCHAR2(120)     NOT NULL,
    ENRT_CVG_STRT_DT_CD            VARCHAR2(120) ,
    ENRT_CVG_STRT_DT_RL            NUMBER(18, 0) ,
    ENRT_INFO_RT_FREQ_CD           VARCHAR2(120) ,
    RT_STRT_DT_CD                  VARCHAR2(120) ,
    RT_STRT_DT_RL                  NUMBER(18, 0) ,
    RT_END_DT_CD                   VARCHAR2(120) ,
    RT_END_DT_RL                   NUMBER(18, 0) ,
    PGM_GRP_CD                     VARCHAR2(120) ,
    PGM_UOM                        VARCHAR2(120) ,
    DRVBL_FCTR_APLS_RTS_FLAG       VARCHAR2(120)     NOT NULL,
    TRK_INELIG_PER_FLAG            VARCHAR2(120)     NOT NULL,
    ENRT_CD                        VARCHAR2(120) ,
    ENRT_MTHD_CD                   VARCHAR2(120) ,
    AUTO_ENRT_MTHD_RL              NUMBER(18, 0) ,
    ENRT_RL                        NUMBER(18, 0) ,
    ALWS_UNRSTRCTD_ENRT_FLAG       VARCHAR2(120)     NOT NULL,
    BUSINESS_GROUP_ID              NUMBER(18, 0)     NOT NULL,
    PGM_ATTRIBUTE_CATEGORY         VARCHAR2(120) ,
    PGM_ATTRIBUTE1                 VARCHAR2(600) ,
    PGM_ATTRIBUTE2                 VARCHAR2(600) ,
    PGM_ATTRIBUTE3                 VARCHAR2(600) ,
    PGM_ATTRIBUTE4                 VARCHAR2(600) ,
    PGM_ATTRIBUTE5                 VARCHAR2(600) ,
    PGM_ATTRIBUTE6                 VARCHAR2(600) ,
    PGM_ATTRIBUTE7                 VARCHAR2(600) ,
    PGM_ATTRIBUTE8                 VARCHAR2(600) ,
    PGM_ATTRIBUTE9                 VARCHAR2(600) ,
    PGM_ATTRIBUTE10                VARCHAR2(600) ,
    PGM_ATTRIBUTE11                VARCHAR2(600) ,
    PGM_ATTRIBUTE12                VARCHAR2(600) ,
    PGM_ATTRIBUTE13                VARCHAR2(600) ,
    PGM_ATTRIBUTE14                VARCHAR2(600) ,
    PGM_ATTRIBUTE15                VARCHAR2(600) ,
    PGM_ATTRIBUTE16                VARCHAR2(600) ,
    PGM_ATTRIBUTE17                VARCHAR2(600) ,
    PGM_ATTRIBUTE18                VARCHAR2(600) ,
    PGM_ATTRIBUTE19                VARCHAR2(600) ,
    PGM_ATTRIBUTE20                VARCHAR2(600) ,
    PGM_ATTRIBUTE21                VARCHAR2(600) ,
    PGM_ATTRIBUTE22                VARCHAR2(600) ,
    PGM_ATTRIBUTE23                VARCHAR2(600) ,
    PGM_ATTRIBUTE24                VARCHAR2(600) ,
    PGM_ATTRIBUTE25                VARCHAR2(600) ,
    PGM_ATTRIBUTE26                VARCHAR2(600) ,
    PGM_ATTRIBUTE27                VARCHAR2(600) ,
    PGM_ATTRIBUTE28                VARCHAR2(600) ,
    PGM_ATTRIBUTE29                VARCHAR2(600) ,
    PGM_ATTRIBUTE30                VARCHAR2(600) ,
    PGM_ATTRIBUTE_NUMBER1          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER2          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER3          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER4          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER5          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER6          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER7          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER8          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER9          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER10         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER11         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER12         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER13         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER14         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER15         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER16         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER17         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER18         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER19         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER20         NUMBER        ,
    PGM_ATTRIBUTE_DATE1            DATE          ,
    PGM_ATTRIBUTE_DATE2            DATE          ,
    PGM_ATTRIBUTE_DATE3            DATE          ,
    PGM_ATTRIBUTE_DATE4            DATE          ,
    PGM_ATTRIBUTE_DATE5            DATE          ,
    PGM_ATTRIBUTE_DATE6            DATE          ,
    PGM_ATTRIBUTE_DATE7            DATE          ,
    PGM_ATTRIBUTE_DATE8            DATE          ,
    PGM_ATTRIBUTE_DATE9            DATE          ,
    PGM_ATTRIBUTE_DATE10           DATE          ,
    PGM_ATTRIBUTE_DATE11           DATE          ,
    PGM_ATTRIBUTE_DATE12           DATE          ,
    PGM_ATTRIBUTE_DATE13           DATE          ,
    PGM_ATTRIBUTE_DATE14           DATE          ,
    PGM_ATTRIBUTE_DATE15           DATE          ,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    USES_ALL_ASMTS_FOR_RTS_FLAG    VARCHAR2(120)     NOT NULL,
    URL_REF_NAME                   VARCHAR2(960) ,
    POE_LVL_CD                     VARCHAR2(120) ,
    VRFY_FMLY_MMBR_CD              VARCHAR2(120) ,
    VRFY_FMLY_MMBR_RL              NUMBER(18, 0) ,
    PER_CVRD_CD                    VARCHAR2(120) ,
    SHORT_CODE                     VARCHAR2(120) ,
    SHORT_NAME                     VARCHAR2(120) ,
    DFLT_ELEMENT_TYPE_ID           NUMBER(18, 0) ,
    DFLT_INPUT_VALUE_ID            NUMBER(18, 0) ,
    DFLT_PGM_FLAG                  VARCHAR2(120)     NOT NULL,
    DFLT_STEP_CD                   VARCHAR2(120) ,
    DFLT_STEP_RL                   NUMBER(18, 0) ,
    SCORES_CALC_MTHD_CD            VARCHAR2(120) ,
    SCORES_CALC_RL                 NUMBER(18, 0) ,
    UPDATE_SALARY_CD               VARCHAR2(120) ,
    USE_MULTI_PAY_RATES_FLAG       VARCHAR2(120)     NOT NULL,
    USE_PROG_POINTS_FLAG           VARCHAR2(120)     NOT NULL,
    USE_SCORES_CD                  VARCHAR2(120) ,
    SALARY_CALC_MTHD_CD            VARCHAR2(120) ,
    SALARY_CALC_MTHD_RL            NUMBER(18, 0) ,
    GSP_ALLOW_OVERRIDE_FLAG        VARCHAR2(120)     NOT NULL,
    USE_VARIABLE_RATES_FLAG        VARCHAR2(120)     NOT NULL,
    LEGISLATION_CODE               VARCHAR2(120) ,
    LEGISLATION_SUBGROUP           VARCHAR2(120) ,
    GLOBAL_FLAG                    VARCHAR2(120) ,
    CONFIG_ID_1                    NUMBER(18, 0) ,
    CONFIG_ID_2                    NUMBER(18, 0) ,
    CONFIG_ID_3                    NUMBER(18, 0) ,
    CONFIG_ID_4                    NUMBER(18, 0) ,
    CONFIG_ID_5                    NUMBER(18, 0) ,
    CONFIG_NUM_1                   NUMBER        ,
    CONFIG_NUM_2                   NUMBER        ,
    CONFIG_NUM_3                   NUMBER        ,
    CONFIG_NUM_4                   NUMBER        ,
    CONFIG_NUM_5                   NUMBER        ,
    CONFIG_CHAR_1                  VARCHAR2(960) ,
    CONFIG_CHAR_2                  VARCHAR2(960) ,
    CONFIG_CHAR_3                  VARCHAR2(960) ,
    CONFIG_CHAR_4                  VARCHAR2(960) ,
    CONFIG_CHAR_5                  VARCHAR2(960) ,
    CONFIG_DATE_1                  DATE          ,
    CONFIG_DATE_2                  DATE          ,
    CONFIG_DATE_3                  DATE          ,
    CONFIG_DATE_4                  DATE          ,
    CONFIG_DATE_5                  DATE          ,
    PGM_INFO                       BLOB          ,
    PGM_ID                         NUMBER(18, 0) ,
    EFFECTIVE_START_DATE           DATE          ,
    EFFECTIVE_END_DATE             DATE          ,
    NAME                           VARCHAR2(960)     NOT NULL,
    PGM_PRVDS_NO_AUTO_ENRT_FLAG    VARCHAR2(120)     NOT NULL,
    PGM_PRVDS_NO_DFLT_ENRT_FLAG    VARCHAR2(120)     NOT NULL,
    DPNT_DSGN_LVL_CD               VARCHAR2(120) ,
    PGM_STAT_CD                    VARCHAR2(120) ,
    IVR_IDENT                      VARCHAR2(360) ,
    PGM_TYP_CD                     VARCHAR2(120) ,
    ELIG_APLS_FLAG                 VARCHAR2(120)     NOT NULL,
    PRTT_CHC_UNCRS_TRTMT_FLAG      VARCHAR2(120) ,
    PGM_PRVDS_CR_FLAG              VARCHAR2(120) ,
    PGM_DESC                       VARCHAR2(4000),
    PRTN_ELIG_OVRID_ALWD_FLAG      VARCHAR2(120)     NOT NULL,
    PGM_USE_ALL_ASNTS_ELIG_FLAG    VARCHAR2(120)     NOT NULL,
    MX_DPNT_PCT_PRTT_LF_AMT        NUMBER        ,
    MX_SPS_PCT_PRTT_LF_AMT         NUMBER        ,
    ACTY_REF_PERD_CD               VARCHAR2(120) ,
    COORD_CVG_FOR_ALL_PLS_FLG      VARCHAR2(120)     NOT NULL,
    ENRT_CVG_END_DT_CD             VARCHAR2(120) ,
    ENRT_CVG_END_DT_RL             NUMBER(18, 0) ,
    DPNT_CVG_END_DT_CD             VARCHAR2(120) ,
    DPNT_CVG_END_DT_RL             NUMBER(18, 0) ,
    DPNT_CVG_STRT_DT_CD            VARCHAR2(120) ,
    DPNT_CVG_STRT_DT_RL            NUMBER(18, 0) ,
    DPNT_DSGN_NO_CTFN_RQD_FLAG     VARCHAR2(120)     NOT NULL,
    DRVBL_FCTR_DPNT_ELIG_FLAG      VARCHAR2(120)     NOT NULL,
    DRVBL_FCTR_PRTN_ELIG_FLAG      VARCHAR2(120)     NOT NULL,
    ENRT_CVG_STRT_DT_CD            VARCHAR2(120) ,
    ENRT_CVG_STRT_DT_RL            NUMBER(18, 0) ,
    ENRT_INFO_RT_FREQ_CD           VARCHAR2(120) ,
    RT_STRT_DT_CD                  VARCHAR2(120) ,
    RT_STRT_DT_RL                  NUMBER(18, 0) ,
    RT_END_DT_CD                   VARCHAR2(120) ,
    RT_END_DT_RL                   NUMBER(18, 0) ,
    PGM_GRP_CD                     VARCHAR2(120) ,
    PGM_UOM                        VARCHAR2(120) ,
    DRVBL_FCTR_APLS_RTS_FLAG       VARCHAR2(120)     NOT NULL,
    TRK_INELIG_PER_FLAG            VARCHAR2(120)     NOT NULL,
    ENRT_CD                        VARCHAR2(120) ,
    ENRT_MTHD_CD                   VARCHAR2(120) ,
    AUTO_ENRT_MTHD_RL              NUMBER(18, 0) ,
    ENRT_RL                        NUMBER(18, 0) ,
    ALWS_UNRSTRCTD_ENRT_FLAG       VARCHAR2(120)     NOT NULL,
    BUSINESS_GROUP_ID              NUMBER(18, 0)     NOT NULL,
    PGM_ATTRIBUTE_CATEGORY         VARCHAR2(120) ,
    PGM_ATTRIBUTE1                 VARCHAR2(600) ,
    PGM_ATTRIBUTE2                 VARCHAR2(600) ,
    PGM_ATTRIBUTE3                 VARCHAR2(600) ,
    PGM_ATTRIBUTE4                 VARCHAR2(600) ,
    PGM_ATTRIBUTE5                 VARCHAR2(600) ,
    PGM_ATTRIBUTE6                 VARCHAR2(600) ,
    PGM_ATTRIBUTE7                 VARCHAR2(600) ,
    PGM_ATTRIBUTE8                 VARCHAR2(600) ,
    PGM_ATTRIBUTE9                 VARCHAR2(600) ,
    PGM_ATTRIBUTE10                VARCHAR2(600) ,
    PGM_ATTRIBUTE11                VARCHAR2(600) ,
    PGM_ATTRIBUTE12                VARCHAR2(600) ,
    PGM_ATTRIBUTE13                VARCHAR2(600) ,
    PGM_ATTRIBUTE14                VARCHAR2(600) ,
    PGM_ATTRIBUTE15                VARCHAR2(600) ,
    PGM_ATTRIBUTE16                VARCHAR2(600) ,
    PGM_ATTRIBUTE17                VARCHAR2(600) ,
    PGM_ATTRIBUTE18                VARCHAR2(600) ,
    PGM_ATTRIBUTE19                VARCHAR2(600) ,
    PGM_ATTRIBUTE20                VARCHAR2(600) ,
    PGM_ATTRIBUTE21                VARCHAR2(600) ,
    PGM_ATTRIBUTE22                VARCHAR2(600) ,
    PGM_ATTRIBUTE23                VARCHAR2(600) ,
    PGM_ATTRIBUTE24                VARCHAR2(600) ,
    PGM_ATTRIBUTE25                VARCHAR2(600) ,
    PGM_ATTRIBUTE26                VARCHAR2(600) ,
    PGM_ATTRIBUTE27                VARCHAR2(600) ,
    PGM_ATTRIBUTE28                VARCHAR2(600) ,
    PGM_ATTRIBUTE29                VARCHAR2(600) ,
    PGM_ATTRIBUTE30                VARCHAR2(600) ,
    PGM_ATTRIBUTE_NUMBER1          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER2          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER3          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER4          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER5          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER6          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER7          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER8          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER9          NUMBER        ,
    PGM_ATTRIBUTE_NUMBER10         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER11         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER12         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER13         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER14         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER15         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER16         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER17         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER18         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER19         NUMBER        ,
    PGM_ATTRIBUTE_NUMBER20         NUMBER        ,
    PGM_ATTRIBUTE_DATE1            DATE          ,
    PGM_ATTRIBUTE_DATE2            DATE          ,
    PGM_ATTRIBUTE_DATE3            DATE          ,
    PGM_ATTRIBUTE_DATE4            DATE          ,
    PGM_ATTRIBUTE_DATE5            DATE          ,
    PGM_ATTRIBUTE_DATE6            DATE          ,
    PGM_ATTRIBUTE_DATE7            DATE          ,
    PGM_ATTRIBUTE_DATE8            DATE          ,
    PGM_ATTRIBUTE_DATE9            DATE          ,
    PGM_ATTRIBUTE_DATE10           DATE          ,
    PGM_ATTRIBUTE_DATE11           DATE          ,
    PGM_ATTRIBUTE_DATE12           DATE          ,
    PGM_ATTRIBUTE_DATE13           DATE          ,
    PGM_ATTRIBUTE_DATE14           DATE          ,
    PGM_ATTRIBUTE_DATE15           DATE          ,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    USES_ALL_ASMTS_FOR_RTS_FLAG    VARCHAR2(120)     NOT NULL,
    URL_REF_NAME                   VARCHAR2(960) ,
    POE_LVL_CD                     VARCHAR2(120) ,
    VRFY_FMLY_MMBR_CD              VARCHAR2(120) ,
    VRFY_FMLY_MMBR_RL              NUMBER(18, 0) ,
    PER_CVRD_CD                    VARCHAR2(120) ,
    SHORT_CODE                     VARCHAR2(120) ,
    SHORT_NAME                     VARCHAR2(120) ,
    DFLT_ELEMENT_TYPE_ID           NUMBER(18, 0) ,
    DFLT_INPUT_VALUE_ID            NUMBER(18, 0) ,
    DFLT_PGM_FLAG                  VARCHAR2(120)     NOT NULL,
    DFLT_STEP_CD                   VARCHAR2(120) ,
    DFLT_STEP_RL                   NUMBER(18, 0) ,
    SCORES_CALC_MTHD_CD            VARCHAR2(120) ,
    SCORES_CALC_RL                 NUMBER(18, 0) ,
    UPDATE_SALARY_CD               VARCHAR2(120) ,
    USE_MULTI_PAY_RATES_FLAG       VARCHAR2(120)     NOT NULL,
    USE_PROG_POINTS_FLAG           VARCHAR2(120)     NOT NULL,
    USE_SCORES_CD                  VARCHAR2(120) ,
    SALARY_CALC_MTHD_CD            VARCHAR2(120) ,
    SALARY_CALC_MTHD_RL            NUMBER(18, 0) ,
    GSP_ALLOW_OVERRIDE_FLAG        VARCHAR2(120)     NOT NULL,
    USE_VARIABLE_RATES_FLAG        VARCHAR2(120)     NOT NULL,
    LEGISLATION_CODE               VARCHAR2(120) ,
    LEGISLATION_SUBGROUP           VARCHAR2(120) ,
    GLOBAL_FLAG                    VARCHAR2(120) ,
    CONFIG_ID_1                    NUMBER(18, 0) ,
    CONFIG_ID_2                    NUMBER(18, 0) ,
    CONFIG_ID_3                    NUMBER(18, 0) ,
    CONFIG_ID_4                    NUMBER(18, 0) ,
    CONFIG_ID_5                    NUMBER(18, 0) ,
    CONFIG_NUM_1                   NUMBER        ,
    CONFIG_NUM_2                   NUMBER        ,
    CONFIG_NUM_3                   NUMBER        ,
    CONFIG_NUM_4                   NUMBER        ,
    CONFIG_NUM_5                   NUMBER        ,
    CONFIG_CHAR_1                  VARCHAR2(960) ,
    CONFIG_CHAR_2                  VARCHAR2(960) ,
    CONFIG_CHAR_3                  VARCHAR2(960) ,
    CONFIG_CHAR_4                  VARCHAR2(960) ,
    CONFIG_CHAR_5                  VARCHAR2(960) ,
    CONFIG_DATE_1                  DATE          ,
    CONFIG_DATE_2                  DATE          ,
    CONFIG_DATE_3                  DATE          ,
    CONFIG_DATE_4                  DATE          ,
    CONFIG_DATE_5                  DATE          ,
    PGM_INFO                       BLOB          ,
    CONSTRAINT pk_ben_pgm_f PRIMARY KEY (PGM_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE, PGM_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE)
);
